org.wildfly.swarm.config.elytron

## Class ProviderSASLServerFactory<T extends ProviderSASLServerFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ProviderSASLServerFactory<T>

-     public class ProviderSASLServerFactory<T extends ProviderSASLServerFactory<T>>
      extends Object

  A sasl server factory definition where the sasl server factory is an aggregation of factories from the Provider[]

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderSASLServerFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The SASL mechanisms available from this factory after all filtering has been applied.
    `String` | `getKey()`
    `String` | `providers()` The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.
    `T` | `providers(String value)` The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderSASLServerFactory

          public ProviderSASLServerFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### providers

          public String providers()

      The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.

    - #### providers

          public T providers(String value)

      The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.

Copyright © 2018 JBoss by Red Hat. All rights reserved.